List locations - Hamlet API
List locations
cURL
curl --request GET \
--url 'https://api.myhamlet.com/v1/locations?per_page=50' \
--header 'Authorization: Bearer <token>'
Python
import requests
url = "https://api.myhamlet.com/v1/locations?per_page=50"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.myhamlet.com/v1/locations?per_page=50', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


HTTP Status Codes
Example Response
{
"data": [
{
"uuid": "5f2b0c3a-1d4e-4a8b-9f6d-2a1c3e4b5d6f",
"type": "CITY",
"name": "Palo Alto",
"state_name": "California",
"state_abbreviation": "CA",
"county_names": [
"Santa Clara"
],
"created_at": "2025-01-10T00:00:00.000Z",
"updated_at": "2026-05-01T18:22:10.000Z"
}
],
"next_cursor": "eyJ1IjoiMjAyNi0wNS0wMSAxODoyMjoxMCIsImkiOjQyfQ"
}
Error Response
{
"error": {
"code": "not_found",
"message": "The requested resource was not found."
}
}
Authorization
- Authorization:
Bearer <token>
Query Parameters
- per_page: integer, default: 50, Maximum number of items to return per page. Required range:
1 <= x <= 100
- cursor: string, Opaque pagination cursor from a previous response's
next_cursor.
- updated_since: string, Inclusive lower bound on
updated_at.